percona-toolki安装冲突(my.cnf Percona-Server-shared与mysql-community-server)

最近在安装percona-toolkit工具包时,提示在my.cnf文件中, Percona-Server-shared与mysql-community-server冲突。起初还以为是一定需安装Percona-Server-shared这样一个包才可以呢。Google了一下,原来是需要安装mysql-community-libs-compat 才可以搞定。下面是对这个问题展开描述。

1、故障现象

[root@centos7 ~]# yum install percona-toolkit -y

Transaction check error:
file /etc/my.cnf from install of Percona-Server-shared-56-5.6.40-rel84.0.el7.x86_64 conflicts with file from package mysql-community-server-5.7.23-1.el7.x86_64

2、本地环境检查

[root@centos7 ~]# more /etc/redhat-release
CentOS Linux release 7.2.1511 (Core)
[root@centos7 ~]# rpm -qa|grep -i mysql
mysql-community-client-5.7.23-1.el7.x86_64
mysql-community-common-5.7.23-1.el7.x86_64
mysql-community-libs-5.7.23-1.el7.x86_64
mysql-community-server-5.7.23-1.el7.x86_64
通过上面的查看,确实没有libs-compat包安装到本机

[root@centos7 ~]# yum list |grep -i mysql|grep libs-compat
mysql-community-libs-compat.i686 5.7.23-1.el7 mysql57-community
mysql-community-libs-compat.x86_64 5.7.23-1.el7 mysql57-community

3、安装mysql-community-libs-compat

[root@centos7 ~]# yum install mysql-community-libs-compat -y
[root@centos7 ~]# yum install percona-toolkit -y
Installed:
percona-toolkit.x86_64 0:3.0.11-1.el7
Complete!

问题解决

4、更多介绍

mysql-community-libs-compat: Shared compatibility libraries for previous MySQL installations

In most cases, you need to install the mysql-community-server, mysql-community-client, mysql-community-libs, mysql-community-common, and mysql-community-libs-compat packages to get a functional, standard MySQL installation. To perform such a standard, basic installation, go to the folder that contains all those packages (and, preferably, no other RPM packages with similar names), and issue the following command:
Pasted from: https://dev.mysql.com/doc/refman/8.0/en/linux-installation-rpm.html

©️2020 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页